Modify an existing volume
PUT /fsx/volumes/{fileSystemId}/{svmName}/{volumeName}
Modifies an existing volume.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
fileSystemId |
string |
path |
True |
|
svmName |
string |
path |
True |
|
volumeName |
string |
path |
True |
|
fileSystemId |
string |
path |
True |
|
svmName |
string |
path |
True |
|
volumeName |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
snapshotPolicyName |
string |
False |
Snapshot policy name |
exportPolicyInfo |
False |
||
tieringPolicy |
string |
False |
Tiering policy |
shareInfo |
False |
Example request
{
"snapshotPolicyName": "string",
"exportPolicyInfo": {
"name": "string",
"policyType": "string",
"ips": [
"string"
],
"nfsVersion": [
"string"
],
"rules": [
{}
]
},
"tieringPolicy": "string",
"shareInfo": {
"shareName": "string",
"accessControlList": [
{
"permission": "string",
"users": [
"string"
]
}
],
"vscanFileOpPolicy": "string"
}
}
Error
Status: Default, Default response
Definitions
See Definitions
pattern
| Name | Type | Required | Description |
|---|---|---|---|
pattern |
string |
False |
|
flags |
integer |
True |
|
cursor |
integer |
False |
Regex
| Name | Type | Required | Description |
|---|---|---|---|
pattern |
True |
||
groupNames |
array[string] |
True |
PatternMessage
| Name | Type | Required | Description |
|---|---|---|---|
regex |
True |
||
message |
string |
False |
VolumeName
| Name | Type | Required | Description |
|---|---|---|---|
_1 |
string |
True |
|
validatesWith |
True |
index
Export policy rule index
ExportPolicyRule
| Name | Type | Required | Description |
|---|---|---|---|
index |
False |
Export policy rule index |
|
ruleAccessControl |
string |
True |
Export policy rule access control |
ips |
array[string] |
True |
Export policy rule list of IPs |
nfsVersion |
array[string] |
False |
Export policy rule protocol |
superUser |
boolean |
True |
Export policy rule super user access |
NamedExportPolicyInfo
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
False |
Export policy name |
policyType |
string |
True |
Export policy type |
ips |
array[string] |
True |
Custom export policy list of IPs |
nfsVersion |
array[string] |
False |
Export policy protocol |
rules |
array[ExportPolicyRule] |
True |
Export policy rules |
| Name | Type | Required | Description |
|---|---|---|---|
permission |
string |
False |
CIFS share permission type |
users |
array[string] |
True |
List of users with the permission |
| Name | Type | Required | Description |
|---|---|---|---|
shareName |
string |
True |
Share name |
accessControlList |
array[CifsShareUserPermissions] |
True |
List of CIFS share permissions |
vscanFileOpPolicy |
string |
False |
Vscan file operations profile |